#!/bin/ash

export NICK="$1";
export SERVER="$2";
export PORT="$3";

sleep .8;

cat ./Mare-Telnet.in | tee /dev/null | cat >./$NICK.in &
cat ./$NICK.out | telnet $SERVER $PORT >./Mare-Telnet.in &

export TelnetPID="$!";

sleep 2;

export DONE="0";

while [ ! "$DONE" = "1" ]; do

 if [ -e ./quit.msg ]; then
   
  export DONE="1";

 fi;

 sleep .05;

 if [ "`ps p $TelnetPID | grep 'telnet'`" = "" ]; then

  export DONE="1";

 fi;

 sleep .8;

done;

sleep .4;

kill $TelnetPID;

if [ ! -e quit.msg ]; then

 export QUITMSG="0";

fi;

touch quit.msg;

if [ "$QUITMSG" = "0" ]; then 
 
 echo ":$NICK ERROR :Ping timeout" >./$NICK.in; 

fi;

sleep 3;

